%define soname	0

Name:           libmediainfo
Version:        0.7.53
Release:        4.2
Summary:        Supplies technical and tag information about a video or audio file
Group:          System/Libraries
License:        GNU General Public License version 2 or later (GPLv2 or later)
URL:            http://mediainfo.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/mediainfo/libmediainfo_%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libmms-devel
BuildRequires:  libzen-devel
BuildRequires:  pkg-config
BuildRequires:  zlib-devel
BuildRequires:  autoconf automake libtool

%description
MediaInfo supplies technical and tag information about a video or
audio file.

%package -n %{name}%{soname}
Summary:        Supplies technical and tag information about a video or audio file
Group:          System/Libraries

%description -n %{name}%{soname}
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo(-gui).

%package -n libmediainfo-devel
Summary:        Include files and libraries for development
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       %{name}%{soname} = %{version}
Requires:       libcurl-devel
Requires:       libmms-devel
Requires:       libzen-devel
Requires:       zlib-devel

%description -n libmediainfo-devel
Include files and mandatory libraries for development.

%prep
%setup -q -n MediaInfoLib
%__cp Release/ReadMe_DLL_Linux.txt \
    ReadMe.txt
%__mv History_DLL.txt \
    History.txt

%__sed -i 's/\r$//' *.txt *.html Source/Doc/Documentation.html
%__chmod 644 *.txt *.html Source/Doc/Documentation.html

%build
# generate docs
pushd Source/Doc
    doxygen -u 2> /dev/null
    doxygen Doxyfile
popd

export CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libmms"
export CPPFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libmms"
export CXXFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libmms"

pushd Project/GNU/Library
    %__chmod +x autogen
    ./autogen
    %configure \
    	--enable-shared \
    	--disable-static \
    	--with-libcurl \
	--without-libmms
#    	--with-libmms=%{_libdir}

    %__make clean
    %__make %{?jobs:-j%{jobs}}
popd

%install
pushd Project/GNU/Library/
    %makeinstall
popd

# MediaInfoDLL headers and MediaInfo-config
for i in MediaInfo MediaInfoDLL; do
    %__install -dm 755 %{buildroot}%{_includedir}/$i
    %__install -m 644 Source/$i/*.h \
    	%{buildroot}%{_includedir}/$i
done

%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.cs \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.JNA.java \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.JNative.java \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.py \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL3.py \
    %{buildroot}%{_includedir}/MediaInfoDLL

%__sed -i -e 's|Version: |Version: %{version}|g' \
    Project/GNU/Library/libmediainfo.pc
%__install -dm 755 %{buildroot}%{_libdir}/pkgconfig
%__install -m 644 Project/GNU/Library/libmediainfo.pc \
    %{buildroot}%{_libdir}/pkgconfig

##%__rm Doc/installdox
%__rm %{buildroot}%{_libdir}/libmediainfo.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libmediainfo%{soname} -p /sbin/ldconfig
%postun -n libmediainfo%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root,-)
%doc History.txt License.html ReadMe.txt
%{_libdir}/libmediainfo.so.%{soname}
%{_libdir}/libmediainfo.so.%{soname}.*

%files -n libmediainfo-devel
%defattr(-,root,root,-)
%doc Changes.txt Source/Doc/Documentation.html
%doc Doc/*
%dir %{_includedir}/MediaInfo
%{_includedir}/MediaInfo/*
%dir %{_includedir}/MediaInfoDLL
%{_includedir}/MediaInfoDLL/*
%{_libdir}/libmediainfo.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Feb 18 2012 cs@linux-administrator.com
- re-import
